import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import javax.swing.border.*;

public class PanelSelectDest extends JPanel {
	static final long serialVersionUID = -5671198210740111511L;
	JPanel contentPanel;
	JPanel titlePanel;
	
	JTextField txtDest;
        
    public PanelSelectDest() {
     
        super();
                
		contentPanel = getContentPanel();
		contentPanel.setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));

		setLayout(new BorderLayout());

		JPanel secondaryPanel = new JPanel();
		secondaryPanel.setLayout(null);
		secondaryPanel.add(contentPanel);
		add(secondaryPanel, BorderLayout.CENTER);
		
        JLabel textLabel = new JLabel("<html>Step 5/6<br>Select destination file</html>");
        textLabel.setBackground(Color.gray);
        textLabel.setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));
        textLabel.setOpaque(true);
        
        titlePanel = new JPanel();
        titlePanel.setLayout(new BorderLayout());
        titlePanel.setBackground(Color.gray);
        titlePanel.add(textLabel, BorderLayout.CENTER);
        add(titlePanel, BorderLayout.NORTH);	

    }  
    
    private JPanel getContentPanel() {     
		txtDest = new JTextField();
		txtDest.setBounds(51, 90, 282, 20);
		
		JButton btnSrcKey = new JButton("Browse...");
		btnSrcKey.setBounds(343, 89, 97, 23);
		btnSrcKey.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				txtDest.setText(getFileName());
			}
		});

		JPanel result = new JPanel();
		result.setBounds(0, 0, 450, 252);
		result.setBorder(new EmptyBorder(5, 5, 5, 5));
		result.setLayout(null);

		JLabel label = new JLabel(" ");
		label.setBounds(15, 15, 3, 64);
		label.setBorder(new EmptyBorder(50, 0, 0, 0));
		
		result.add(label); 
		JLabel label_1 = new JLabel("Select file");
		label_1.setBounds(30, 69, 106, 14);
		result.add(label_1);
		result.add(txtDest);
		result.add(btnSrcKey);
		 
		return result;
    }
    
	String getFileName(){
		JFileChooser fc = new JFileChooser();
	    int returnVal = fc.showSaveDialog(this);
		if (returnVal == JFileChooser.APPROVE_OPTION)
	        return fc.getSelectedFile().getPath();

	    return "";
	}

	public boolean isFieldsValidated() {
		return txtDest.getText().length() != 0;
	}
	
	public void addFieldsListener(final ActionListener l) {
		Common.addTextDocumentLisner(txtDest, l);
	}
}