import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class PanelSelectDestDescriptor extends WizardPanelDescriptor implements ActionListener {
    
    public static final String IDENTIFIER = "DEST_PANEL";
    
    public static PanelSelectDest panel;
    
    public PanelSelectDestDescriptor() {
        
        panel = new PanelSelectDest();
        panel.addFieldsListener(this);
        
        setPanelDescriptorIdentifier(IDENTIFIER);
        setPanelComponent(panel);
    }
    
    public Object getNextPanelDescriptor() {
   		return PanelProcessProtectionDescriptor.IDENTIFIER;
    }
    
    public Object getBackPanelDescriptor() {
        return PanelSelectFilesDescriptor.IDENTIFIER;
    }

    public void aboutToDisplayPanel(){
    	setNextButtonAccordFields();
    }
   
	private void setNextButtonAccordFields() {
		getWizard().setNextFinishButtonEnabled(panel.isFieldsValidated());
		
	}

	public void actionPerformed(ActionEvent e) {
    	setNextButtonAccordFields();
    }
}
