import SecureBlackbox.Base.*;

public class JNIWinStoresSample
{
    public static void main(String[] args)
    throws java.lang.Exception 
    {
        #error Please pick the evaluation license key from <SecureBlackbox>\LicenseKey.txt file and place it here. If the evaluation key expires, you can request an extension using the form on https://www.eldos.com/sbb/keyreq/
		SBUtils.setLicenseKey("<put the key here>");
        
        // Initialize SecureBlackbox JNI library. sbbjni32.dll and sbbjni64.dll must be located in java.library.path
        // You can also call JNI.initialize("full_path_to_dll") method.
        JNI.initialize();
        
        TElWinCertStorage s = new TElWinCertStorage();
        s.getSystemStores().add("MY");
      
        System.out.println("Windows MY store: ");
        for (int i = 0; i < s.getCount(); i++)
            System.out.println(s.getCertificates(i).getSubjectRDN().saveToDNString());
    }
}
